package xunji

import (
	"context"

    "wechat-api/ent/xunji"
    "wechat-api/internal/svc"
    "wechat-api/internal/types"
    "wechat-api/internal/utils/dberrorhandler"

    "github.com/suyuan32/simple-admin-common/msg/errormsg"
    "github.com/zeromicro/go-zero/core/logx"
)

type DeleteXunjiLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteXunjiLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteXunjiLogic {
	return &DeleteXunjiLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteXunjiLogic) DeleteXunji(req *types.IDsReq) (*types.BaseMsgResp, error) {
	_, err := l.svcCtx.DB.Xunji.Delete().Where(xunji.IDIn(req.Ids...)).Exec(l.ctx)

    if err != nil {
		return nil, dberrorhandler.DefaultEntError(l.Logger, err, req)
	}

    return &types.BaseMsgResp{Msg: errormsg.DeleteSuccess}, nil
}
